/********************************************
Personal library of Cyril Roussillon
http://crteknologies.free.fr
cyril42e@gmail.com
2006-2007
*********************************************/

#ifndef CYRIL_STD_H
#define CYRIL_STD_H

#ifdef __cplusplus
	extern "C" {
#endif

#include "cyril-macro.h"


extern char* strclone(const char *str);
extern char* getfname(const char *str);
extern char* getfpath(const char *str);
extern char* pathcat(const char *path, const char *file);
extern FILE* fcreate(const char *filename, const char *mode);
extern bool fexists(const char *filename);
extern void exec(const char *command, const char *params);
extern void mkdir(const char *dir);
extern void rmfiles(const char *files);

extern long strtoi(char *s);

/**
renvoie le nombre optimal de threads  faire tourner selon le critre choice :
  > 0 : nombre impos
  0 : automatique (nombre de cpu configurs dans l'os)
  -1 : automatique (nombre de cpu disponibles)
  -2 : automatique(nombre de cpu sans charge tenant compte du loadavg)
*/
extern int get_nthreads(int choice);

#ifdef __cplusplus
	}
#endif

#endif

